ubuntu 下安裝 x-lite sip softphone

原文出處: http://www.hackourlives.com/ubuntu-10-04-lucid-lynx-libstdc-so-5/

Install libstdc++.so.5 on Ubuntu 10.04 or 9.10

If you try installing Intel Fortran Compiler on Ubuntu 10.04 Lucid Lynx or Karmic Koala, it is going to throw the error:
error while loading shared libraries: libstdc++.so.5

The original libstdc++5 package is no longer available with the Ubuntu 9.10 repos. So for 32 bit system you would have to get it from Jaunty Repository.

Install it and you are good to go if you are using the 32 bit OS.

For 64 bit it is a bit complicated, first install libstdc++5 64bit and then do the following:

wget http://security.ubuntu.com/ubuntu/pool/universe/i/ia32-libs/ia32-libs_2.7ubuntu6.1_amd64.deb

dpkg-deb -x ia32-libs_2.7ubuntu6.1_amd64.deb ia32-libs

sudo cp ia32-libs/usr/lib32/libstdc++.so.5.0.7 /usr/lib32/

cd /usr/lib32

sudo ln -s libstdc++.so.5.0.7 libstdc++.so.5

This should get you going.

============ 以下為另一篇參考內容。

原文出處: http://ubuntuforums.org/showpost.php?s=ca5aa9c275640955c3bcf7034b9960b1&p=8852353&postcount=8

sudo wget http://counterpath.s3.amazonaws.com/…Install.tar.gz

tar -zxvf X-Lite_Install.tar.gz

cd xten-xlite/

chmod +x xtensoftphone

./xtensoftphone

In the X-Lite 2.0 –>System Settings–>Sip Proxy

Enabled : Yes
Display Name: Any Name
Username : [Your Voip Username]
Authorisation User: [Your Voip Username]
Password: [Your Voip Password]
Domain/Realm: sip.[VOIPCOMPANY].com
(Please Refer to your Voip Provider)
SIP Proxy: sip.[VOIPCOMPANY].com
Please Refer to your Voip Provider)
Outbound Proxy: nothing
Use Outbound Proxy: Default
Register: Default
Voicemail SIP URL: nothing
Forword SIP URL: nothing

Enjoy using X-Lite…

Simple

============ 以下為另一篇參考內容。

原文出處: http://jdunn.posterous.com/how-to-run-x-lite-on-64-bit-ubuntu

How to Run X-Lite on 64-bit Ubuntu Linux

The available Linux softphones all leave something to be desired. I gave Linphone a chance, but I hate being forced to operate its dialpad via my mouse (and what’s up with not playing a DTMF tone when I do manage to click one of those tiny buttons, seriously?). My buddy Aleks reminded me that X-Lite is available for Linux. Sure enough, it is—and CounterPath provides it as a dynamically-linked, 32-bit binary. Yay! Turns out that with a little work, it will run on 64-bit Linux. Here’s what to do:

1. Download and extract X-Lite.
2. sudo apt-get install ia32-libs alsa-oss
3. sudo gpasswd -a audio
4. Attempt to run X-Lite. If you get an error telling you that libstdc++.so.5 cannot be found, follow the instructions here.
5. Run X-Lite like this: padsp path/to/xten-xlite/xtensoftphone. Now X-Lite will play nice with PulseAudio.

This assumes that you’re running Ubuntu. Should work for Debian as well, though the procedure for step 4 will vary slightly. Google can help you there.

Update (2010-04-14): I run the headset that I use for telephony through a USB-based second sound card, and I’ve found that the “padsp” utility has no concept of multiple sound cards. I’m thus unable to use X-Lite with my headset, and am using Linphone again (ugh!). Leaving this post up in hopes that it’s useful to someone.

發表迴響